## org.apache.lucene.queryParser.surround.parser
Class QueryParser

    java.lang.Object
      org.apache.lucene.queryParser.surround.parser.QueryParser

All Implemented Interfaces:
  QueryParserConstants

    public class QueryParser

extends java.lang.Object
implements QueryParserConstants

This class is generated by JavaCC. The only method that clients should need to call is parse().

Field Summary
`Token` `jj_nt` Next token.
`Token` `token` Current token.
`QueryParserTokenManager` `token_source` Generated Token Manager.

Fields inherited from interface org.apache.lucene.queryParser.surround.parser.QueryParserConstants
`_DISTOP_NUM, _NUM_CHAR, _ONE_CHAR, _STAR, _TERM_CHAR, _WHITESPACE, AND, Boost, CARAT, COLON, COMMA, DEFAULT, EOF, LPAREN, N, NOT, NUMBER, OR, QUOTED, RPAREN, SUFFIXTERM, TERM, tokenImage, TRUNCQUOTED, TRUNCTERM, W`

Constructor Summary
`QueryParser()`
`QueryParser(CharStream stream)` Constructor with user supplied CharStream.
`QueryParser(QueryParserTokenManager tm)` Constructor with generated Token Manager.

Method Summary
`protected boolean` `allowedSuffix(java.lang.String suffixed)`
`protected boolean` `allowedTruncation(java.lang.String truncated)`
`SrndQuery` `AndQuery()`
`protected static void` `checkDistanceSubQueries(DistanceQuery distq, java.lang.String opName)`
`void` `disable_tracing()` Disable tracing.
`void` `enable_tracing()` Enable tracing.
`SrndQuery` `FieldsQuery()`
`java.util.List` `FieldsQueryList()`
`ParseException` `generateParseException()` Generate ParseException.
`protected SrndQuery` `getAndQuery(java.util.List queries, boolean infix, Token andToken)`
`protected SrndQuery` `getDistanceQuery(java.util.List queries, boolean infix, Token dToken, boolean ordered)`
`protected SrndQuery` `getFieldsQuery(SrndQuery q, java.util.ArrayList fieldNames)`
`Token` `getNextToken()` Get the next Token.
`protected SrndQuery` `getNotQuery(java.util.List queries, Token notToken)`
`protected static int` `getOpDistance(java.lang.String distanceOp)`
`protected SrndQuery` `getOrQuery(java.util.List queries, boolean infix, Token orToken)`
`protected SrndQuery` `getPrefixQuery(java.lang.String prefix, boolean quoted)`
`protected SrndQuery` `getTermQuery(java.lang.String term, boolean quoted)`
`Token` `getToken(int index)` Get the specific Token.
`protected SrndQuery` `getTruncQuery(java.lang.String truncated)`
`SrndQuery` `NotQuery()`
`SrndQuery` `NQuery()`
`java.util.ArrayList` `OptionalFields()`
`void` `OptionalWeights(SrndQuery q)`
`SrndQuery` `OrQuery()`
`static SrndQuery` `parse(java.lang.String query)`
`SrndQuery` `parse2(java.lang.String query)`
`SrndQuery` `PrefixOperatorQuery()`
`SrndQuery` `PrimaryQuery()`
`void` `ReInit(CharStream stream)` Reinitialise.
`void` `ReInit(QueryParserTokenManager tm)` Reinitialise.
`SrndQuery` `SimpleTerm()`
`SrndQuery` `TopSrndQuery()`
`SrndQuery` `WQuery()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public QueryParserTokenManager token_source

  Generated Token Manager.

### token

    public Token token

  Current token.

### jj_nt

    public Token jj_nt

  Next token.

Constructor Detail

### QueryParser

    public QueryParser()

### QueryParser

    public QueryParser(CharStream stream)

  Constructor with user supplied CharStream.

### QueryParser

    public QueryParser(QueryParserTokenManager tm)

  Constructor with generated Token Manager.

Method Detail

### parse

    public static SrndQuery parse(java.lang.String query)
                           throws ParseException

  Throws:
    `ParseException`

### parse2

    public SrndQuery parse2(java.lang.String query)
                     throws ParseException

  Throws:
    `ParseException`

### getFieldsQuery

    protected SrndQuery getFieldsQuery(SrndQuery q,
                                       java.util.ArrayList fieldNames)

### getOrQuery

    protected SrndQuery getOrQuery(java.util.List queries,
                                   boolean infix,
                                   Token orToken)

### getAndQuery

    protected SrndQuery getAndQuery(java.util.List queries,
                                    boolean infix,
                                    Token andToken)

### getNotQuery

    protected SrndQuery getNotQuery(java.util.List queries,
                                    Token notToken)

### getOpDistance

    protected static int getOpDistance(java.lang.String distanceOp)

### checkDistanceSubQueries

    protected static void checkDistanceSubQueries(DistanceQuery distq,
                                                  java.lang.String opName)
                                           throws ParseException

  Throws:
    `ParseException`

### getDistanceQuery

    protected SrndQuery getDistanceQuery(java.util.List queries,
                                         boolean infix,
                                         Token dToken,
                                         boolean ordered)
                                  throws ParseException

  Throws:
    `ParseException`

### getTermQuery

    protected SrndQuery getTermQuery(java.lang.String term,
                                     boolean quoted)

### allowedSuffix

    protected boolean allowedSuffix(java.lang.String suffixed)

### getPrefixQuery

    protected SrndQuery getPrefixQuery(java.lang.String prefix,
                                       boolean quoted)

### allowedTruncation

    protected boolean allowedTruncation(java.lang.String truncated)

### getTruncQuery

    protected SrndQuery getTruncQuery(java.lang.String truncated)

### TopSrndQuery

    public final SrndQuery TopSrndQuery()
                                 throws ParseException

  Throws:
    `ParseException`

### FieldsQuery

    public final SrndQuery FieldsQuery()
                                throws ParseException

  Throws:
    `ParseException`

### OptionalFields

    public final java.util.ArrayList OptionalFields()
                                             throws ParseException

  Throws:
    `ParseException`

### OrQuery

    public final SrndQuery OrQuery()
                            throws ParseException

  Throws:
    `ParseException`

### AndQuery

    public final SrndQuery AndQuery()
                             throws ParseException

  Throws:
    `ParseException`

### NotQuery

    public final SrndQuery NotQuery()
                             throws ParseException

  Throws:
    `ParseException`

### NQuery

    public final SrndQuery NQuery()
                           throws ParseException

  Throws:
    `ParseException`

### WQuery

    public final SrndQuery WQuery()
                           throws ParseException

  Throws:
    `ParseException`

### PrimaryQuery

    public final SrndQuery PrimaryQuery()
                                 throws ParseException

  Throws:
    `ParseException`

### PrefixOperatorQuery

    public final SrndQuery PrefixOperatorQuery()
                                        throws ParseException

  Throws:
    `ParseException`

### FieldsQueryList

    public final java.util.List FieldsQueryList()
                                         throws ParseException

  Throws:
    `ParseException`

### SimpleTerm

    public final SrndQuery SimpleTerm()
                               throws ParseException

  Throws:
    `ParseException`

### OptionalWeights

    public final void OptionalWeights(SrndQuery q)
                               throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(CharStream stream)

  Reinitialise.

### ReInit

    public void ReInit(QueryParserTokenManager tm)

  Reinitialise.

### getNextToken

    public final Token getNextToken()

  Get the next Token.

### getToken

    public final Token getToken(int index)

  Get the specific Token.

### generateParseException

    public ParseException generateParseException()

  Generate ParseException.

### enable_tracing

    public final void enable_tracing()

  Enable tracing.

### disable_tracing

    public final void disable_tracing()

  Disable tracing.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.